<?php
session_start();
require("../database/dbConection.php");
$idUsuarioLogado    = $_SESSION['idUsuarioLogado'];
$dataHoraImpressao  = date("d/m/Y H:i");
$idSolicitacao      = $_GET['idsol'];
$tamanhoEtiqueta    = [79,160];
$sqlProtocolo = "SELECT reg_tb_solicitacoes.numero_procotolo, tb_paciente.nome_paciente, tb_paciente.cns_paciente, date_format(tb_paciente.datanasc,'%d/%m/%Y') AS dataNascimento, 
date_format(reg_tb_solicitacoes.datahora_cadastro,'%d/%m/%Y') AS dataSolicitacao, reg_tb_procedimento.nome_procedimento
FROM reg_tb_solicitacoes INNER JOIN reg_tb_procedimento ON (reg_tb_solicitacoes.id_procedimento=reg_tb_procedimento.id_procedimento) INNER JOIN tb_paciente 
ON (reg_tb_solicitacoes.id_paciente=tb_paciente.id_paciente) WHERE reg_tb_solicitacoes.id_solicitacao='$idSolicitacao'";
$stmProtocolo = $rsConexao->prepare($sqlProtocolo);
$stmProtocolo ->execute();  
$rsProtocolo = $stmProtocolo->fetch(PDO::FETCH_OBJ);
$numeroProtocolo  = $rsProtocolo->numero_procotolo;
$nomePaciente     = mb_strtoupper($rsProtocolo->nome_paciente);
$cnsPaciente      = mb_strtoupper($rsProtocolo->cns_paciente);
$nomeProcedimento = mb_strtoupper($rsProtocolo->nome_procedimento);
$dataSolicitacao  = mb_strtoupper($rsProtocolo->dataSolicitacao);
$dataNascimento   = mb_strtoupper($rsProtocolo->dataNascimento);
$nomeMunicipioSede = $_SESSION['nomeMunicipioSede'];
ob_start();

/*
include_once("include/php-qrcode/vendor/autoload.php");
$urlSiteCentralMarcacao = "https://regulacaomunicipal.pmlf.ba.gov.br";
$setQRCode      = (new \chillerlan\QRCode\QRCode())->render($urlSiteCentralMarcacao);
*/

echo "<table class='tb_protocolo'>
  <tr>
    <td class='titulo_prefeitura'>
      PREFEITURA DE $nomeMunicipioSede<br>
      SECRETARIA MUNICIPAL DE SAÚDE<br>
      :: CENTRAL DE MARCAÇÃO ::
    </td>
  </tr>
</table><br>
<table class='tb_protocolo' style='margin-top:-15px'>
  <tr>
    <td class='titulo_prefeitura'>
      PROTOCOLO<br>
      <font style='font-size:15pt'>
        $numeroProtocolo
      </font>
    </td>
  </tr>
</table><br>
<table class='tb_protocolo' style='margin-top:-15px'>
  <tr>
    <td class='dados_marcacao'>
      <font style='font-size:9pt; font-weight: bold;'>NOME:</font><br>
      <font style='font-size:9pt; font-weight: normal;'>
        $nomePaciente
      </font><br>
    </td>
  </tr>
  <tr>
    <td class='dados_marcacao'>
      <table width:'100%'>
        <tr>
          <td>
            <font style='font-size:9pt; font-weight: bold;'>CARTÃO SUS:</font><br>
            <font style='font-size:9pt; font-weight: normal;'>
              $cnsPaciente
            </font>
          </td>
          <td align='right'>
            <font style='font-size:9pt; font-weight: bold;'>DATA NASCIMENTO:</font><br>
            <font style='font-size:9pt; font-weight: normal;'>
              $dataNascimento
            </font><br>
          </td>
        </tr>      
      </table>
    </td>
  </tr>
  <tr>
    <td class='dados_marcacao'>
      <font style='font-size:9pt; font-weight: bold;'>DATA:</font><br>
      <font style='font-size:9pt; font-weight: normal;'>
        $dataSolicitacao
      </font><br>
    </td>
  </tr>  
  <tr>
    <td class='dados_marcacao'>
      <font style='font-size:9pt; font-weight: bold;'>PROCEDIMENTO:</font><br>
      <font style='font-size:9pt; font-weight: normal;'>        
        $nomeProcedimento
      </font><br>
    </td>
  </tr>
</table><br>
<table class='tb_protocolo' style='margin-top:-15px'>
  <tr>
    <td class='dados_marcacao' style='padding-top:5px; text-align:center'>      
      <font style='font-size:8pt; font-weight: normal;'>
        <b>Para receber informações sobre agendamento de consultas e exames, é necessário adicionar o nosso número de telefone ao seu whatsApp e confirmar seu número de contato.<br>(71) 98454-0356 ou leia o QR Code.</b><br>
      </font>
    </td>
  </tr>
  <tr>
    <td style='text-align:center'>
      <img src='css/images/qrcode_laura.png' width='80px'><br><b>OU</b>
    </td>
  </tr>  
  <tr>
    <td class='dados_marcacao' style='padding-top:5px; text-align:center'>
      <font style='font-size:8pt; font-weight: normal;'>
        <b>ACESSE O SITE!</b><br>
        http://regulacaomunicipal.pmlf.ba.gov.br
      </font>
    </td>
  </tr>

</table><br>
";


require_once '../../lib_sistemas/mpdf8/vendor/autoload.php';
$mpdf = new \Mpdf\Mpdf([
	'margin_left'   => 2,
	'margin_right'  => 2,
	'margin_top'    => 10,
	'margin_header' => 2,  
  'margin_bottom' => 2,
  'mode'          => 'utf-8',
  'default_font'  => 'tahoma',
  'format'        => $tamanhoEtiqueta
]);

$html = ob_get_clean();
$mpdf->mirrorMargins = 1;
$stylesheet = file_get_contents('relatorios/relatorio.css');
$mpdf->WriteHTML($stylesheet,1);

$header = "
  <table align='center' class='tb_protocolo'>
    <tr>
		  <td class='titulo_protocolo'>
        PROTOCOLO DE SOLICITAÇÃO
      </td>
    </tr>
    </table>";

$headerE = $header;
$footer = "<div style='font-size:5pt'>|$dataHoraImpressao|</div>";
$footerE = $footer;

$mpdf->SetHTMLHeader($header);
$mpdf->SetHTMLHeader($headerE,'E');
$mpdf->SetFooter($footer);
$mpdf->SetFooter($footerE,'E');
$mpdf->SetTitle('Protocolo de Solicitação');
$mpdf->WriteHTML($html);
$mpdf->Output("ProtocoloSolicitacao$numeroProtocolo.pdf",'I');
exit;

?>